<template>
  <div>Logout Page</div>
</template>

<script>
import { useRouter } from "vue-router";
import { useLogout } from "@/composables/userLogout";

export default {
  setup() {
    const { error, logout } = useLogout();
    const router = useRouter();
    async function onLogout() {
      await logout();
      if (!error.value) {
        router.push({ name: "login", params: {} });
      }
    }

    onLogout();
    return {
      error,
    };
  },
};
</script>
